import React from "react";
import PropTypes from "prop-types";

export default function Bin(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 16 16"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g clipPath="url(#clip0_1184:2312)">
        <path
          d="M9.95128 6.05176C9.74948 6.05176 9.58594 6.2153 9.58594 6.4171V13.322C9.58594 13.5237 9.74948 13.6874 9.95128 13.6874C10.1531 13.6874 10.3166 13.5237 10.3166 13.322V6.4171C10.3166 6.2153 10.1531 6.05176 9.95128 6.05176Z"
          fill={props.fill}
        />
        <path
          d="M5.64073 6.05176C5.43894 6.05176 5.27539 6.2153 5.27539 6.4171V13.322C5.27539 13.5237 5.43894 13.6874 5.64073 13.6874C5.84252 13.6874 6.00607 13.5237 6.00607 13.322V6.4171C6.00607 6.2153 5.84252 6.05176 5.64073 6.05176Z"
          fill={props.fill}
        />
        <path
          d="M2.49856 5.04417V14.0453C2.49856 14.5774 2.69364 15.077 3.03444 15.4355C3.37366 15.795 3.84574 15.999 4.33981 15.9999H11.2521C11.7463 15.999 12.2184 15.795 12.5575 15.4355C12.8983 15.077 13.0934 14.5774 13.0934 14.0453V5.04417C13.7708 4.86436 14.2098 4.20989 14.1192 3.51475C14.0284 2.81975 13.4363 2.29985 12.7353 2.29971H10.8648V1.84304C10.8669 1.459 10.7151 1.09024 10.4432 0.818948C10.1714 0.547798 9.80204 0.396811 9.41801 0.39995H6.17392C5.78989 0.396811 5.42055 0.547798 5.14869 0.818948C4.87683 1.09024 4.72498 1.459 4.72712 1.84304V2.29971H2.85662C2.15563 2.29985 1.56352 2.81975 1.47276 3.51475C1.38214 4.20989 1.82111 4.86436 2.49856 5.04417V5.04417ZM11.2521 15.2692H4.33981C3.71516 15.2692 3.22924 14.7326 3.22924 14.0453V5.07628H12.3627V14.0453C12.3627 14.7326 11.8768 15.2692 11.2521 15.2692ZM5.4578 1.84304C5.45537 1.6528 5.53015 1.46971 5.66516 1.33542C5.80002 1.20113 5.98354 1.12734 6.17392 1.13063H9.41801C9.60839 1.12734 9.79191 1.20113 9.92677 1.33542C10.0618 1.46956 10.1366 1.6528 10.1341 1.84304V2.29971H5.4578V1.84304ZM2.85662 3.03039H12.7353C13.0985 3.03039 13.3929 3.3248 13.3929 3.688C13.3929 4.05119 13.0985 4.34561 12.7353 4.34561H2.85662C2.49342 4.34561 2.19901 4.05119 2.19901 3.688C2.19901 3.3248 2.49342 3.03039 2.85662 3.03039V3.03039Z"
          fill={props.fill}
        />
        <path
          d="M7.79698 6.05176C7.59519 6.05176 7.43164 6.2153 7.43164 6.4171V13.322C7.43164 13.5237 7.59519 13.6874 7.79698 13.6874C7.99877 13.6874 8.16232 13.5237 8.16232 13.322V6.4171C8.16232 6.2153 7.99877 6.05176 7.79698 6.05176Z"
          fill={props.fill}
        />
      </g>
      <defs>
        <clipPath id="clip0_1184:2312">
          <rect
            width="15.6"
            height="15.6"
            fill="white"
            transform="translate(0 0.399902)"
          />
        </clipPath>
      </defs>
    </svg>
  );
}

Bin.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Bin.defaultProps = {
  className: "",
  fill: "#B3C1E3",
  width: 16,
  height: 16,
};
